Skip to main content
GET
/
api
/
v1
/
video
/
status
Video Generation Status
curl --request GET \
  --url https://ninjachat.ai/api/v1/video/status \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "gemini-veo:operations/generate-video-abc123",
  "status": "processing",
  "progress": 45
}

Authorizations

Authorization
string
header
required

API key starting with nj_sk_

Query Parameters

request_id
string
required

The request_id returned from POST /api/v1/video.

Response

Job status.

request_id
string

The original request ID.

status
enum<string>

processing — still generating (check progress). completed — video is ready (see result.video_url). failed — generation failed (see error).

Available options:
processing,
completed,
failed
progress
integer

Approximate progress percentage (0–95). Only present when status is processing.

Required range: 0 <= x <= 95
result
object
error
string

Error description. Only present when status is failed.